# Manual d'usuari del KDE

Ben
Burton
bab@debian.org
25 de maig del 2005
Entorn d'escriptori K
indiserver
1

# `indiserver`

Servidor INDI per al control de telescopis des de KStars

    indiserver -l directori -m mida -p port -v controlador

## Descripció

&kstars; us permet configurar i controlar instruments d'astronomia tals com telescopis i enfocadors mitjançant el protocol INDI. `indiserver` és un controlador de dispositiu que dona suport a particulars tipus de maquinari extern.

El servidor INDI és un servidor en xarxa, accepta tant clients locals com remots permetent contactar i controlar instruments d'astronomia. Accepta els següents arguments:

- -l d to log driver messages to `/DD-MM-YYYY.islog`.

- -m m : kill client if gets more than this many MB behind, default 10

- -p p : alternate IP port, default 7624

- -v : show key events, no traffic

- -vv : -v + key message content

- -vvv : -vv + complete xml

- driver : executable or device@host[:port]

El servidor INDI s'haurà d'executar sobre la màquina a on estan connectats físicament els instruments d'astronomia.

Generalment no hi ha cap necessitat de controlar directament al servidor INDI. Usant el gestor de dispositius de &kstars;, podreu establir instruments d'astronomia i iniciar o aturar el servidor INDI, tot des del mateix &kstars;.

A part del descrit a continuació es pot trobar informació molt més detallada en el manual de &kstars;.

&kstars; és un planetari d'escriptori gràfic pel &kde; i forma part del mòdul oficial d'educació del &kde;.

## Opcions

`-p port`

  Port alternatiu de la IP. Per omissió és el 7624.

`-r intents`

  Intents màxims per a tornar a iniciar, en cas d'un problema. Per omissió són 2.

`-vv`

  Una sortida amb més depuració a stderr

`controlador`

  Els noms dels controladors INDI a executar.

  Els disponibles actualment són:

  - `celestrongps` (Celestron GPS)

  - `fliccd` (Instruments CCD de Finger Lakes)

  - `lx200_16` (LX200 16")

  - `lx200autostar` (LX200 Autostar)

  - `lx200classic` (LX200 clàssic)

  - `lx200generic` (LX200 genèric)

  - `lx200gps` (LX200 GPS)

  - `temma` (Temma Takahashi)

  - `v4ldriver` (Video4Linux genèric)

  - `v4lphilips` (Webcam de Philips)

## Veure també

celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1)

Hi ha disponible documentació d'usuari més detallada en el manual de &kstars;, podeu cercar-la amb help:/kstars (podeu introduir aquesta &URL; en el &konqueror;, o executar ``khelpcenter` `help:/kstars``).

## Exemples

Per a iniciar un servidor INDI executant un controlador LX200 GPS driver, i llistant les connexions sobre el port 8000:

    indiserver -p 8000 lx200gps

## Autors

Aquesta pàgina del manual ha estat escrita per a Debian per en Ben Burton bab@debian.org